org.mariadb.jdbc.internal.packet.result

## Class TextRowPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.result.TextRowPacket

All Implemented Interfaces:
  RowPacket

    public class TextRowPacket
    extends Object
    implements RowPacket

### Constructor Summary

Constructors
Constructor and Description
`TextRowPacket(ColumnInformation[] columnInformation, Options options, int columnInformationLength)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ValueObject[]` `getRow(ReadPacketFetcher packetFetcher, ByteBuffer buffer)` Read text row stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextRowPacket

    public TextRowPacket(ColumnInformation[] columnInformation,
                         Options options,
                         int columnInformationLength)

Constructor.

Parameters:
  `columnInformation` - columns information's
  `options` - session options
  `columnInformationLength` - number of column

### Method Detail

#### getRow

    public ValueObject[] getRow(ReadPacketFetcher packetFetcher,
                                ByteBuffer buffer)
                         throws IOException

Read text row stream. (to fetch Resulset.next() datas)

Specified by:
  `getRow` in interface `RowPacket`
Parameters:
  `packetFetcher` - packetFetcher
  `buffer` - current buffer
Returns:
  datas object
Throws:
  `IOException` - if any connection error occur